package com.example.controller;

import avro.Product;
import com.example.consumer.Consumer;
import com.example.producer.Producer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class Controller {

    private static final Logger LOGGER = LoggerFactory.getLogger(Controller.class);

    @Autowired
    private Producer producer;

    @PostMapping("/publish")
    public String producerAvroMessage(@RequestBody Product product) {
        LOGGER.info("Started publishing product data{}",product.toString());
        producer.produceProductDetails(product);
        return "Sent product details to consumer";
    }

}